<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- business-039 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="94" style="background-image: url('images/logo_bg.gif');">
    		<!-- LOGO -->
            <table cellpadding="0" cellspacing="0" align="center">
            	<tr>
            		<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
            		<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            	</tr>
            	<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
            </table>
    		<!-- END LOGO -->
		</TD>
	</TR>
    <TR>
        <TD height="216" style="background-image: url('images/header_bg.gif');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr>
                    <td><img src="images/header_l.jpg" border="0" alt=""/></td>
                    <td width="100%" align="center"><img src="images/header.jpg" border="0" alt=""/></td>
                    <td><img src="images/header_r.jpg" border="0" alt=""/></td>
                </tr>
            </table>
        </TD>
    </TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr valign="top">
                    <td style="background-image: url('images/lbg.gif');"><img src="images/lbg.jpg" border="0" alt=""/></td>
                    <td width="100%" class="bg" style="padding: 0 20px 20px 20px; background-image: url('images/bg_br.jpg'); background-position: bottom right; background-repeat: no-repeat;">
                		<!-- MENU -->
              			<table cellpadding="0" cellspacing="0" align="center" style="height: 33px;">
              				<tr>
                                <xsl:call-template name="TOP-MENU"/>
              				</tr>
              			</table>
                		<!-- END MENU -->
                        <div style="height:1px; background-color: #BCBCBC;"><span></span></div>
                        <table cellpadding="0" cellspacing="0" border="0" width="100%">
                            <tr valign="top">
                                <td width="100%" class="pageContent" style="padding: 20px 20px 0 20px;">
                            		<!-- CONTENT -->
                              		<table cellpadding="0" cellspacing="0" border="0">
                              			<tr>
                              				<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                              				<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
                              			</tr>
                              		</table>
                              		<div style="width:0px; height:15px;"><span></span></div>
                              		<xsl:apply-templates select="PAGE-CONTENT"/>
                            		<!-- END CONTENT -->
                                </td>
                                <td style="background-color: #BCBCBC;"><div style="width:1px; height:0px;"><span></span></div></td>
                                <td style="padding: 20px 20px 110px 20px;">
                            		<!-- SUBMENU -->
                          			<table cellpadding="0" cellspacing="0" width="125" align="center">
                                        <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                          			</table>
                            		<!-- END SUBMENU -->
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td style="background-image: url('images/rbg.gif');"><img src="images/rbg.jpg" border="0" alt=""/></td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="101" style="background-image: url('images/footer_bg.jpg');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/footer_lbg.jpg'); background-repeat: no-repeat;">
                <tr>
                    <td style="background-image: url('images/footer_rbg.jpg'); background-position: top right; background-repeat: no-repeat;">
        				<!-- BOTTOM MENU -->
  						<table cellpadding="0" cellspacing="0" align="center">
  							<tr>
  								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                <xsl:call-template name="BOTTOM-MENU"/>
  								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
  							</tr>
  						</table>
        				<!-- END BOOTTOM MENU -->
        				<div style="width:0px; height:10px;"><span></span></div>
        				<!-- FOOTER -->
        				<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
        				<!-- END FOOTER -->
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
    		<tr>
    			<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
    			<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    		</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    		<tr>
    			<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
    			<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    		</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:1px; background-color: #BCBCBC; background-image: url('images/submenu_separator.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template> 

<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID"><td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0" alt=""/></a></td>
      		<td width="5"></td>
      		<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
      		<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0" alt=""/></a></td>
      		<td width="5"></td>
      		<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
